# AtkStreamableContent

## Name

AtkStreamableContent -- The ATK interface which provides access to streamable content.

## Synopsis

    struct      AtkStreamableContent;
    gint        atk_streamable_content_get_n_mime_types
                                                (AtkStreamableContent *streamable);
    G_CONST_RETURN gchar* atk_streamable_content_get_mime_type
                                                (AtkStreamableContent *streamable,
                                                 gint i);
    GIOChannel* atk_streamable_content_get_stream
                                                (AtkStreamableContent *streamable,
                                                 const gchar *mime_type);

## Object Hierarchy

      GInterface
       +----AtkStreamableContent

## Description

## Details

### struct AtkStreamableContent

    struct AtkStreamableContent;

The AtkStreamableContent structure does not contain any fields.

### atk_streamable_content_get_n_mime_types ()

    gint        atk_streamable_content_get_n_mime_types
                                                (AtkStreamableContent *streamable);

Gets the number of mime types supported by this object.

`streamable` :

  a GObject instance that implements AtkStreamableContentIface

Returns :

  a gint which is the number of mime types supported by the object.

### atk_streamable_content_get_mime_type ()

    G_CONST_RETURN gchar* atk_streamable_content_get_mime_type
                                                (AtkStreamableContent *streamable,
                                                 gint i);

Gets the character string of the specified mime type. The first mime type is at position 0, the second at position 1, and so on.

`streamable` :

  a GObject instance that implements AtkStreamableContent

`i` :

  a gint representing the position of the mime type starting from 0

Returns :

  : a gchar* representing the specified mime type; the caller should not free the character string.

### atk_streamable_content_get_stream ()

    GIOChannel* atk_streamable_content_get_stream
                                                (AtkStreamableContent *streamable,
                                                 const gchar *mime_type);

Gets the content in the specified mime type.

`streamable` :

  a GObject instance that implements AtkStreamableContentIface

`mime_type` :

  a gchar* representing the mime type

Returns :

  A GIOChannel which contains the content in the specified mime type.